Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454789 - ocaml-calendar Printer module error
Summary: ocaml-calendar Printer module error
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-calendar
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454860 454861
TreeView+ depends on / blocked
 
Reported: 2008-07-10 01:02 UTC by Hezekiah M. Carty
Modified: 2008-09-11 17:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-11 17:18:13 UTC


Attachments (Terms of Use)

Description Hezekiah M. Carty 2008-07-10 01:02:09 UTC
Description of problem:
Printing the day of year (%j) with the CalendarLib.Printer.* functions prints
the wrong value for days 1 through 9.

Version-Release number of selected component (if applicable):
2.0.2

How reproducible:
Always

Steps to Reproduce:
1. Load ocaml-calendar in the OCaml toplevel or in any OCaml code
2. Use the following commands:

let d = CalendarLib.Calendar.make 2007 01 01 01 01 0
CalendarLib.Printer.Calendar.print "%Y%j%H%M%S" d

Actual results:
This will print:
200701010100

Expected results:
rather than the expected:
2007001010100

Additional info:
There is a new version (2.0.4) which fixes this bug and adds a few new
functions.  I am willing to make a patch for just this fix if that is preferable.

I don't know if this bug is a target for fixing in Fedora 9 though, given the
OCaml packaging guidelines.  If it can't be fixed for F9, then rawhide should
probably be updated if it has not been already.

Comment 1 Richard W.M. Jones 2008-07-10 08:48:00 UTC
It's probably better to just upgrade, although we'll need to rebuild
every library which depends on ocaml-calendar, unless we're lucky and
the MD5 sums happen to still match.  Dependent libraries are:

  ocaml-libvirt
  ocaml-pgocaml


Comment 2 Fedora Update System 2008-07-10 09:17:21 UTC
ocaml-calendar-2.0.4-1.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-15 12:17:41 UTC
ocaml-calendar-2.0.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ocaml-calendar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6356

Comment 4 Fedora Update System 2008-09-11 17:18:10 UTC
ocaml-calendar-2.0.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.